/*!
 * @file collision.h
 *  Definition of a collision event
 */

#ifndef _COLLISION_H
#define _COLLISION_H

#include "vector.h"

class WorldEntity;
class BoundingVolume;


//! A class representing a simple collision
class Collision {

 public:
  Collision();
  virtual ~Collision();



 private:
  WorldEntity*      entityA;                       //!< the collision body A
  WorldEntity*      entityB;                       //!< the collision body B

  BoundingVolume*   bvA;                          //!< reference to the bounding volume A
  BoundingVolume*   bvB;                          //!< reference to the bounding volume B
};

#endif /* _COLLISION_H */
